echo off

cd /d %~dp0
pushd %~dp0

:FLASH
echo Update 2M BIOS rom...

ChkBIOSV 31SUG352
if errorlevel 1 goto SAME_VER 
if errorlevel 0 goto CK_BIOS350
goto ENDALL

:CK_BIOS350
ChkBIOSV 31SUG350
if errorlevel 1 goto FLASH_KEYUPD
if errorlevel 0 goto CHECK_V351
goto END

:CHECK_V351
ChkBIOSV 31SUG351
if errorlevel 1 goto FLASH_ONLY
if errorlevel 0 goto NOT_350_351
goto NOT_350_351

:FLASH_KEYUPD

@rem backup pubkey & markfile
if exist 31sug350.rom del 31sug350.rom
afuw239.exe 31sug350.rom /O 
mmtool 31sug350.rom /e 69009842-63f2-43db-964b-efad1c39ec85 mker1.bin
timeout /t 2
mmtool 31sug350.rom /e 996aa1e0-1e8c-4f36-b519-a170a206fc14 pkey1.bin
timeout /t 2
if not exist mker1.bin goto MKER1_NF
if not exist pkey1.bin goto PKEY1_NF

copy 31sug352.rom sug352.rom /y
timeout /t 1
mmtool sug352.rom /r 69009842-63f2-43db-964b-efad1c39ec85 mker1.bin
timeout /t 2
mmtool sug352.rom /r 996aa1e0-1e8c-4f36-b519-a170a206fc14 pkey1.bin
timeout /t 2

bcdedit /set {current} removememory 0
timeout /t 10
afuw239.exe sug352.rom /p /b /n /r /x
timeout /t 2
del sug352.rom
shutdown /r /t 6
pause
goto ENDALL


:FLASH_ONLY
bcdedit /set {current} removememory 0
timeout /t 10
afuw352.exe 31sug352.rom /p /b /n /r /x
timeout /t 2
shutdown /r /t 6 
pause
goto END

:MKER1_NF
echo mker1.bin not found
goto ENDALL

:PKEY1_NF
echo pkey1.bin not found
goto ENDALL


:SAME_VER 
echo The current BIOS version is 31sug352.
bcdedit /set {current} removememory 0
timeout /t 10
shutdown /r /t 6 
pause
goto ENDALL

:END
echo After flash programming finished, 
echo unplug the power cord, lan cable, and all USB devices.
echo waiting at least 10 seconds.

:ENDALL


